Bug 208122 - [exp-run] net/libnet: install headers and libs in standard locations
Summary: [exp-run] net/libnet: install headers and libs in standard locations
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tijl Coosemans
URL:
Keywords:
Depends on:
Blocks: 207768
  Show dependency treegraph
 
Reported: 2016-03-18 17:27 UTC by Tijl Coosemans
Modified: 2016-03-20 11:08 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (sunpoet)


Attachments
patch (61.07 KB, patch)
2016-03-18 17:27 UTC, Tijl Coosemans
no flags Details | Diff
patch2 (62.21 KB, patch)
2016-03-19 11:46 UTC, Tijl Coosemans
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tijl Coosemans freebsd_committer 2016-03-18 17:27:55 UTC
Created attachment 168372 [details]
patch

The attached patch modifies net/libnet so it installs headers and libraries back in the location where other ports expect it.  The files were put in a different location to avoid a conflict with net/libnet10 but this port has been removed a while ago now.
Comment 1 Antoine Brodin freebsd_committer 2016-03-18 21:37:11 UTC
Take,  the MOVED entry seems incomplete
Comment 3 Tijl Coosemans freebsd_committer 2016-03-19 11:46:13 UTC
Created attachment 168381 [details]
patch2

Fix MOVED, netwib and unicornscan.
Comment 4 Antoine Brodin freebsd_committer 2016-03-20 10:06:40 UTC
Exp-run looks fine.
Comment 5 commit-hook freebsd_committer 2016-03-20 10:53:49 UTC
A commit references this bug:

Author: tijl
Date: Sun Mar 20 10:53:12 UTC 2016
New revision: 411432
URL: https://svnweb.freebsd.org/changeset/ports/411432

Log:
  Install net/libnet headers and libraries back in the location where other
  ports expect it.  The files were put in a different location to avoid a
  conflict with net/libnet10 but this port has been removed a while ago now.

  PR:		208122
  Exp-run by:	antoine
  Approved by:	portmgr (antoine)

Changes:
  head/MOVED
  head/Mk/bsd.port.mk
  head/net/Makefile
  head/net/arp-sk/Makefile
  head/net/arping/Makefile
  head/net/arprelease/Makefile
  head/net/fonulator/Makefile
  head/net/gspoof/Makefile
  head/net/gspoof/files/
  head/net/libfb/Makefile
  head/net/libnet/Makefile
  head/net/libnet/files/patch-Makefile.in
  head/net/libnet/pkg-plist
  head/net/libnids/Makefile
  head/net/libnids-libnet11/
  head/net/nast/Makefile
  head/net/nast/files/patch-configure
  head/net/netwib/Makefile
  head/net/py-libnet/Makefile
  head/net/py-libnet/files/patch-setup.py
  head/net/pynids/Makefile
  head/net/rtpbreak/Makefile
  head/net/tcptraceroute/Makefile
  head/net/tcptraceroute/files/
  head/net/tcptraceroute-devel/Makefile
  head/net/tcptraceroute-devel/files/
  head/net/vortex/Makefile
  head/net-mgmt/dhcp_probe/Makefile
  head/net-mgmt/dhcp_probe/files/patch-Makefile.am
  head/net-mgmt/ettercap/Makefile
  head/net-mgmt/isic/Makefile
  head/net-mgmt/isic/files/patch-isic.h
  head/net-mgmt/packit/Makefile
  head/net-mgmt/pixilate/Makefile
  head/security/dsniff/Makefile
  head/security/dsniff/files/patch-Makefile.in
  head/security/dsniff/files/patch-configure.in
  head/security/firewalk/Makefile
  head/security/ipguard/files/patch-Makefile
  head/security/sasp/Makefile
  head/security/sasp/files/
  head/security/scanlogd/Makefile
  head/security/snort/Makefile
  head/security/suricata/Makefile
  head/security/unicornscan/Makefile
  head/security/unicornscan/files/patch-libs__Makefile
  head/security/unicornscan/files/patch-src-scan_progs-Makefile
  head/security/unicornscan/files/patch-src__Makefile
  head/security/unicornscan/files/patch-src__Makefile.inc
  head/security/yersinia/Makefile
  head/security/yersinia/files/patch-configure
  head/sysutils/heartbeat/Makefile
  head/sysutils/heartbeat/files/patch-configure.in
  head/sysutils/syslog-ng/Makefile
  head/sysutils/syslog-ng-devel/Makefile
  head/sysutils/syslog-ng34/Makefile
  head/sysutils/syslog-ng35/Makefile